Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class CreateFolderAction

    java.lang.Object
      org.eclipse.jface.action.Action
          org.eclipse.ui.actions.BaseSelectionListenerAction
              org.eclipse.ui.actions.SelectionListenerAction
                  org.eclipse.ui.actions.CreateFolderAction

All Implemented Interfaces:
  IAction, ISelectionChangedListener

Deprecated. should use NewWizardMenu to populate a New submenu instead (see Navigator view)

public class CreateFolderAction
extends SelectionListenerAction

Standard action for creating a folder resource within the currently selected folder or project.

This class may be instantiated; it is not intended to be subclassed.

Field Summary
`static String` | `ID` Deprecated. The id of this action.

Fields inherited from interface org.eclipse.jface.action.IAction
`AS_CHECK_BOX, AS_DROP_DOWN_MENU, AS_PUSH_BUTTON, AS_RADIO_BUTTON, AS_UNSPECIFIED, CHECKED, DESCRIPTION, ENABLED, IMAGE, RESULT, TEXT, TOOL_TIP_TEXT`

Constructor Summary
`CreateFolderAction(Shell shell)` Deprecated. see deprecated tag on class

Method Summary
`void` | `run()` Deprecated. The `CreateFolderAction` implementation of this `IAction` method opens a `BasicNewFolderResourceWizard` in a wizard dialog under the shell passed to the constructor.
`protected boolean` | `updateSelection(IStructuredSelection s)` Deprecated. The `CreateFolderAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains folders and open projects.

Methods inherited from class org.eclipse.ui.actions.SelectionListenerAction
`clearCache, getSelectedNonResources, getSelectedResources, resourceIsType, selectionIsOfType`

Methods inherited from class org.eclipse.ui.actions.BaseSelectionListenerAction
`getStructuredSelection, runWithEvent, selectionChanged, selectionChanged`

Methods inherited from class org.eclipse.jface.action.Action
`addPropertyChangeListener, convertAccelerator, convertAccelerator, findKeyCode, findKeyString, findModifier, findModifierString, firePropertyChange, firePropertyChange, getAccelerator, getActionDefinitionId, getDescription, getDisabledImageDescriptor, getHelpListener, getHoverImageDescriptor, getId, getImageDescriptor, getMenuCreator, getStyle, getText, getToolTipText, isChecked, isEnabled, notifyResult, removeAcceleratorText, removeMnemonics, removePropertyChangeListener, setAccelerator, setActionDefinitionId, setChecked, setDescription, setDisabledImageDescriptor, setEnabled, setHelpListener, setHoverImageDescriptor, setId, setImageDescriptor, setMenuCreator, setText, setToolTipText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final String ID

  Deprecated.
  The id of this action.

  See Also:
    Constant Field Values

Constructor Detail

### CreateFolderAction

    public CreateFolderAction(Shell shell)

  Deprecated. see deprecated tag on class

  Creates a new action for creating a folder resource.

Parameters:
  `shell` - the shell for any dialogs

Method Detail

### run

    public void run()

  Deprecated.
  The `CreateFolderAction` implementation of this `IAction` method opens a `BasicNewFolderResourceWizard` in a wizard dialog under the shell passed to the constructor.

  Specified by:
    `run` in interface `IAction`
  Overrides:
    `run` in class `Action`

### updateSelection

    protected boolean updateSelection(IStructuredSelection s)

  Deprecated.
  The `CreateFolderAction` implementation of this `SelectionListenerAction` method enables the action only if the selection contains folders and open projects.

  Overrides:
    `updateSelection` in class `BaseSelectionListenerAction`
  Parameters:
    `s` - the new selection
  Returns:
    `true` if the action should be enabled for this selection, and `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.